Get EventSubscription by ID
Get a single EventSubscription by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
event_subscription_id
ID of the EventSubscription.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
awsRegion
The AWS region of the eventbridge subscription.
createdAt
destinationAddress
The AWS ARN of the EventBridge event bus that Benchling will deliver events to.
destinationMetadata
Semi-structured metadata used for routing events.
destinationType
Allowed values:
eventBusName
The name of the event bus of the eventbridge subscription .
expiresAt
The time after which the event subscription expires and will be paused.
id
modifiedAt
paused
Indicates whether the event subscription is paused.
Paused event subscriptions will not emit events to the configured
destination.
Errors
400
Event Subscription Get Request Bad Request Error
403
Event Subscription Get Request Forbidden Error
404
Event Subscription Get Request Not Found Error
429
Event Subscription Get Request Too Many Requests Error
500
Event Subscription Get Request Internal Server Error